CIMANAGE-7: csit-vpp-master-verify-semiweekly scheduled job 50/1150/2
authorJan Gelety <jgelety@cisco.com>
Mon, 16 May 2016 14:57:14 +0000 (16:57 +0200)
committerJan Gelety <jgelety@cisco.com>
Wed, 18 May 2016 09:05:03 +0000 (11:05 +0200)
- test vpp latest release from nexus with csit-verified test cases
- in case of success the vpp build will be used as vpp-master-verified
  build for csit-* jobs
- sheduled to run every Tuesday and Saturday at 04:00 UTC
- manual trigger possible too

- contains aslo correction of path of artifact in csit-vpp-verify-weekly job

Change-Id: Id5da3edb1b4579e6a3bd008694b9e5c754fd8729
Signed-off-by: Jan Gelety <jgelety@cisco.com>
jjb/csit/csit-vpp-functional.yaml
jjb/csit/include-raw-csit-vpp-master-verify-semiweekly.sh [new file with mode: 0644]

index 728d3f5..d704248 100644 (file)
@@ -6,6 +6,7 @@
         - 'csit-vpp-perf-hw-{type}'
         - 'csit-vpp-functional-virl'
         - 'csit-vpp-verify-weekly'
+        - 'csit-vpp-master-verify-semiweekly'
 
     project: 'csit'
     branch: 'master'
 
 - job-template:
     name: 'csit-vpp-verify-weekly'
+    description: 'Purpose of this job is to validate CSIT code against verified vpp build and apply csit-verified tag in case of success.'
 
     project-type: freestyle
     node: verify
 
     publishers:
         - archive-artifacts:
-            artifacts: 'report.html, log.html, output.xml'
+            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
             latest-only: false
 
         - robot-report:
-            output-path: ''
+            output-path: 'csit'
 
         - git:
                push-only-if-success: true
                        create-tag: true
                        update-tag: true
 
+- job-template:
+    name: 'csit-vpp-master-verify-semiweekly'
+    description: 'Purpose of this job is to validate latest vpp build stored in nexus against verified CSIT codebase.'
+
+    project-type: freestyle
+    node: verify
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            branch: 'master'
+
+    wrappers:
+        - ssh-agent-credentials:
+            users:
+                - '{ssh-credentials}'
+
+    triggers:
+        - timed: '0 4 * * 2,6'
+
+        - gerrit-trigger-manually-triggered:
+            comment-trigger-value: 'csit-verify-vpp'
+            name: '{project}'
+            branch: '{branch}'
+
+    builders:
+        - shell:
+            !include-raw-escape jjb/csit/include-raw-csit-vpp-master-verify-semiweekly.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit'
+
 - parameter:
     name: test-type-parameter
 
diff --git a/jjb/csit/include-raw-csit-vpp-master-verify-semiweekly.sh b/jjb/csit/include-raw-csit-vpp-master-verify-semiweekly.sh
new file mode 100644 (file)
index 0000000..0b32264
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit --branch csit-verified
+
+cd csit
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-vpp-master-verify-semiweekly.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-vpp-master-verify-semiweekly.sh
+    # run the script
+    ./bootstrap-vpp-master-verify-semiweekly.sh
+else
+    echo 'ERROR: No bootstrap-verify-master.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :